%global oname org.ops4j.master
Name:          ops4j-master
Version:       4.2.0
Release:       %mkrel 2
Group:         Development/Java
Summary:       OPS4J - Master POM
License:       ASL 2.0
URL:           http://team.ops4j.org/wiki/display/ops4j/Open+Participation+Software+for+Java
Source0:       https://github.com/ops4j/org.ops4j.master/archive/master-%{version}.tar.gz
# ops4j-master package don't include the license file
Source1:       http://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires: sonatype-oss-parent
BuildRequires: maven-local
BuildRequires: maven-enforcer-plugin
BuildArch:     noarch

%description
Maven parent POM for all OPS4J Maven projects.

%prep
%setup -q -n %{oname}-master-%{version}
%pom_remove_plugin :retrotranslator-maven-plugin
%pom_remove_plugin :versions-maven-plugin

%pom_remove_plugin :maven-checkstyle-plugin

%pom_remove_plugin :nexus-staging-maven-plugin
%pom_remove_plugin :asciidoctor-maven-plugin
%pom_remove_plugin :sonar-maven-plugin

%pom_xpath_set "pom:build/pom:pluginManagement/pom:plugins/pom:plugin[pom:groupId = 'org.jvnet.jaxb2.maven2']/pom:artifactId" maven-jaxb22-plugin

# org.apache.maven.wagon:wagon-ssh-external
%pom_xpath_remove "pom:build/pom:extensions"

cp -p %{SOURCE1} .
sed -i 's/\r//' LICENSE-2.0.txt

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE-2.0.txt



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 4.2.0-2.mga6
+ Revision: 981774
- Second rebuild of the java stack

* Sat Feb 27 2016 daviddavid <daviddavid> 4.2.0-1.mga6
+ Revision: 979994
- First rebuild of the java stack
- sync package ops4j-master with fedora (update to 4.2.0)

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.2.0-3.mga5
+ Revision: 746556
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Jun 01 2014 dmorgan <dmorgan> 3.2.0-1.mga5
+ Revision: 630492
- imported package ops4j-master


* Mon Jul 08 2013 gil cattaneo <puntogil@libero.it> 3.2.0-1
- update to 3.2.0

* Mon Nov 05 2012 gil cattaneo <puntogil@libero.it> 3.1.0-1
- initial rpm
